The Receipts model obtains receipt-like details for specific transactions.
The Receipt object
Receipt details for a transaction.
- transaction_data Receipt Transaction
Transaction information.
CloseReceipt Transaction- transaction_code string
Transaction code.
- amount string
Transaction amount.
- vat_amount string
Transaction VAT amount.
- tip_amount string
Tip amount (included in transaction amount).
- currency string
Transaction currency.
- timestamp string format: date-time
Time created at.
- status string
Transaction processing status.
- payment_type string
Transaction type.
- entry_mode string
Transaction entry mode.
- verification_method string
Cardholder verification method.
- card Receipt Card
Payment card details displayed on the receipt.
CloseReceipt Card- last_4_digits string
Card last 4 digits.
- type string
Card Scheme.
-
- installments_count integer
Number of installments.
- products []object
Products
CloseAttributes- name string
Product name
Example:"Coffee" - price string format: double
Product price
Example:"150.0" - vat_rate string format: double
VAT rate
Example:"0.0" - single_vat_amount string format: double
VAT amount for a single product
Example:"0.0" - price_with_vat string format: double
Product price including VAT
Example:"150.0" - vat_amount string format: double
VAT amount
Example:"0.0" - quantity integer
Product quantity
Example:1 - total_price string format: double
Quantity x product price
Example:"150.0" - total_with_vat string format: double
Total price including VAT
Example:"150.0"
-
- vat_rates []object
Vat rates.
CloseAttributes- gross number
Gross
- net number
Net
- rate number
Rate
- vat number
Vat
-
- events []ReceiptEvent
Events
CloseReceipt Event- id Event ID
Unique ID of the transaction event.
- transaction_id Transaction ID
Unique ID of the transaction.
- type Event TypeOptions:
PAYOUTCHARGE_BACKREFUNDPAYOUT_DEDUCTIONType of the transaction event.
- status Event StatusOptions:
PENDINGSCHEDULEDFAILEDREFUNDEDSUCCESSFULPAID_OUTStatus of the transaction event.
- amount string format: double
Amount of the event.
- timestamp string format: date-time
Date and time of the transaction event.
- receipt_no string
Receipt number associated with the event.
-
- receipt_no string
Receipt number
-
- merchant_data Receipt Merchant Data
Receipt merchant data
CloseReceipt Merchant Data- merchant_profile object
Merchant profile details displayed on the receipt.
CloseAttributes- merchant_code stringExample:
"MH4H92C7" - business_name string
- email string
- address objectCloseAttributes
- address_line1 string
- city string
- country string
- country_en_name string
- country_native_name string
- post_code string
- landline string
-
-
- locale string
Locale used for rendering localized receipt fields.
-
- emv_data object
EMV-specific metadata returned for card-present payments.
- acquirer_data object
Acquirer-specific metadata related to the card authorization.
CloseAttributes- tid string
- authorization_code string
- return_code string
- local_time string
-
{ "transaction_data": { "transaction_code": null, "amount": null, "vat_amount": null, "tip_amount": null, "currency": null, "timestamp": null, "status": null, "payment_type": null, "entry_mode": null, "verification_method": null, "card": { "last_4_digits": null, "type": null }, "installments_count": null, "products": [ { "name": "Coffee", "price": "150.0", "vat_rate": "0.0", "single_vat_amount": "0.0", "price_with_vat": "150.0", "vat_amount": "0.0", "quantity": 1, "total_price": "150.0", "total_with_vat": "150.0" } ], "vat_rates": [ { "gross": null, "net": null, "rate": null, "vat": null } ], "events": [ { "id": null, "transaction_id": null, "type": null, "status": null, "amount": null, "timestamp": null, "receipt_no": null } ], "receipt_no": null }, "merchant_data": { "merchant_profile": { "merchant_code": "MH4H92C7", "business_name": null, "email": null, "address": { "address_line1": null, "city": null, "country": null, "country_en_name": null, "country_native_name": null, "post_code": null, "landline": null } }, "locale": null }, "emv_data": {}, "acquirer_data": { "tid": null, "authorization_code": null, "return_code": null, "local_time": null }}Retrieve receipt details
Retrieves receipt specific data for a transaction.
Path Parameters
- id string required
SumUp unique transaction ID or transaction code, e.g. TS7HDYLSKD.
Query Parameters
- mid string required
Merchant code.
- tx_event_id integer
The ID of the transaction event (refund).
Response
Returns receipt details for the requested transaction. See Receipt object .
- transaction_data Receipt Transaction
Transaction information.
CloseReceipt Transaction- transaction_code string
Transaction code.
- amount string
Transaction amount.
- vat_amount string
Transaction VAT amount.
- tip_amount string
Tip amount (included in transaction amount).
- currency string
Transaction currency.
- timestamp string format: date-time
Time created at.
- status string
Transaction processing status.
- payment_type string
Transaction type.
- entry_mode string
Transaction entry mode.
- verification_method string
Cardholder verification method.
- card Receipt Card
Payment card details displayed on the receipt.
CloseReceipt Card- last_4_digits string
Card last 4 digits.
- type string
Card Scheme.
-
- installments_count integer
Number of installments.
- products []object
Products
CloseAttributes- name string
Product name
Example:"Coffee" - price string format: double
Product price
Example:"150.0" - vat_rate string format: double
VAT rate
Example:"0.0" - single_vat_amount string format: double
VAT amount for a single product
Example:"0.0" - price_with_vat string format: double
Product price including VAT
Example:"150.0" - vat_amount string format: double
VAT amount
Example:"0.0" - quantity integer
Product quantity
Example:1 - total_price string format: double
Quantity x product price
Example:"150.0" - total_with_vat string format: double
Total price including VAT
Example:"150.0"
-
- vat_rates []object
Vat rates.
CloseAttributes- gross number
Gross
- net number
Net
- rate number
Rate
- vat number
Vat
-
- events []ReceiptEvent
Events
CloseReceipt Event- id Event ID
Unique ID of the transaction event.
- transaction_id Transaction ID
Unique ID of the transaction.
- type Event TypeOptions:
PAYOUTCHARGE_BACKREFUNDPAYOUT_DEDUCTIONType of the transaction event.
- status Event StatusOptions:
PENDINGSCHEDULEDFAILEDREFUNDEDSUCCESSFULPAID_OUTStatus of the transaction event.
- amount string format: double
Amount of the event.
- timestamp string format: date-time
Date and time of the transaction event.
- receipt_no string
Receipt number associated with the event.
-
- receipt_no string
Receipt number
-
- merchant_data Receipt Merchant Data
Receipt merchant data
CloseReceipt Merchant Data- merchant_profile object
Merchant profile details displayed on the receipt.
CloseAttributes- merchant_code stringExample:
"MH4H92C7" - business_name string
- email string
- address objectCloseAttributes
- address_line1 string
- city string
- country string
- country_en_name string
- country_native_name string
- post_code string
- landline string
-
-
- locale string
Locale used for rendering localized receipt fields.
-
- emv_data object
EMV-specific metadata returned for card-present payments.
- acquirer_data object
Acquirer-specific metadata related to the card authorization.
CloseAttributes- tid string
- authorization_code string
- return_code string
- local_time string
-
curl https://api.sumup.com/v1.1/receipts/{id} \ -X GET \ -H "Authorization: Bearer $SUMUP_API_KEY"import SumUp from '@sumup/sdk';
const client = new SumUp();
const result = await client.receipts.get("id", "mid");using SumUp;
var client = new SumUpClient();
var result = await client.Receipts.GetAsync( "id", "mid");import com.sumup.sdk.SumUpClient;
SumUpClient client = SumUpClient.builder().build();
var result = client.receipts().getReceipt( "id", "mid");from sumup import Sumup
client = Sumup()
result = client.receipts.get("id", "mid")$sumup = new \SumUp\SumUp();
$result = $sumup->receipts->get('id', 'mid');client := sumup.NewClient()
result, err := client.Receipts.Get(context.Background(), "id", "mid")use sumup::Client;
let client = Client::default();
let result = client.receipts().get("id", sumup::GetReceiptParams{ mid: Some("mid".to_string()), tx_event_id: Some("tx_event_id".to_string()),}).await;{ "transaction_data": { "transaction_code": null, "amount": null, "vat_amount": null, "tip_amount": null, "currency": null, "timestamp": null, "status": null, "payment_type": null, "entry_mode": null, "verification_method": null, "card": { "last_4_digits": null, "type": null }, "installments_count": null, "products": [ { "name": "Coffee", "price": "150.0", "vat_rate": "0.0", "single_vat_amount": "0.0", "price_with_vat": "150.0", "vat_amount": "0.0", "quantity": 1, "total_price": "150.0", "total_with_vat": "150.0" } ], "vat_rates": [ { "gross": null, "net": null, "rate": null, "vat": null } ], "events": [ { "id": null, "transaction_id": null, "type": null, "status": null, "amount": null, "timestamp": null, "receipt_no": null } ], "receipt_no": null }, "merchant_data": { "merchant_profile": { "merchant_code": "MH4H92C7", "business_name": null, "email": null, "address": { "address_line1": null, "city": null, "country": null, "country_en_name": null, "country_native_name": null, "post_code": null, "landline": null } }, "locale": null }, "emv_data": {}, "acquirer_data": { "tid": null, "authorization_code": null, "return_code": null, "local_time": null }}
Content-Type: application/json
The request is invalid for the submitted parameters.
- message string
Short description of the error.
- error_code string
Platform code for the error.
Content-Type: application/json
The request is not authorized.
- type string required format: uri
A URI reference that identifies the problem type.
Example:"https://developer.sumup.com/problem/not-found" - title string
A short, human-readable summary of the problem type.
Example:"Requested resource couldn't be found." - status integer
The HTTP status code generated by the origin server for this occurrence of the problem.
Example:404 - detail string
A human-readable explanation specific to this occurrence of the problem.
Example:"The requested resource doesn't exist or does not belong to you." - instance string format: uri
A URI reference that identifies the specific occurrence of the problem.
Content-Type: application/json
The requested transaction event does not exist for the provided transaction.
- message string
Short description of the error.
- error_code string
Platform code for the error.
{ "message": "is not a valid merchant code", "error_code": "INVALID"}{ "detail": "Unauthorized.", "status": 401, "title": "Unauthorized", "trace_id": "3c77294349d3b5647ea2d990f0d8f017", "type": "https://developer.sumup.com/problem/unauthorized"}{ "message": "No such tx event (ID=9567461191) for transaction 4ffb8dfc-7f2b-413d-a497-2ad00766585e", "error_code": "NOT_FOUND"}